org.eclipse.jetty.server

## Class InclusiveByteRange

- java.lang.Object
- - org.eclipse.jetty.server.InclusiveByteRange

    public class InclusiveByteRange
    extends Object

Byte range inclusive of end points.

       parses the following types of byte ranges:

           bytes=100-499
           bytes=-300
           bytes=100-
           bytes=1-2,2-3,6-,-2

       given an entity length, converts range to string

           bytes 100-499/500

Based on RFC2616 3.12, 14.16, 14.35.1, 14.35.2

Version:
  $version$

### Constructor Summary

Constructors
Constructor and Description
`InclusiveByteRange(long first, long last)`

### Method Summary

Methods
`long` `getFirst()`
`long` `getFirst(long size)`
`long` `getLast()`
`long` `getLast(long size)`
`long` `getSize(long size)`
`static List` `satisfiableRanges(Enumeration headers, long size)`
`static String` `to416HeaderRangeString(long size)`
`String` `toHeaderRangeString(long size)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InclusiveByteRange

    public InclusiveByteRange(long first,
                      long last)

### Method Detail

#### getFirst

    public long getFirst()

#### getLast

    public long getLast()

#### satisfiableRanges

    public static List satisfiableRanges(Enumeration headers,
                         long size)

Parameters:
  `headers` - Enumeration of Range header fields.
  `size` - Size of the resource.
Returns:
  LazyList of satisfiable ranges

#### getFirst

    public long getFirst(long size)

#### getLast

    public long getLast(long size)

#### getSize

    public long getSize(long size)

#### toHeaderRangeString

    public String toHeaderRangeString(long size)

#### to416HeaderRangeString

    public static String to416HeaderRangeString(long size)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`